{ config, lib, ... }:
lib.mkIf config.programs.sway.enable {

  programs = {
    uwsm = {
      waylandCompositors.sway = {
        prettyName = "Sway";
        comment = "Sway compositor managed by UWSM";
        binPath = "/run/current-system/sw/bin/sway";
      };
    };
    sway = {
      wrapperFeatures.gtk = true;
      extraPackages = [ ];
    };
  };
}
